FROM golang:alpine AS builder
WORKDIR /app
COPY . .
COPY qgo.quizer.space.pem .
COPY qgo.quizer.space-key.pem .
RUN go build -o main .

FROM alpine:latest
WORKDIR /app
COPY --from=builder /app/main /app/main
EXPOSE 8080
CMD ["/app/main"]
